Skip to content

# Interface: InputValidator

Renderer.Component.InputValidator

## Table of contents

### Properties

- debounce
- message

### Methods

- condition
- validate

## Properties

### debounce

• `Optional` debounce: `number`

### message

• `Optional` message: `ReactNode` | (`value`: `string`, `props?`: InputProps) => `ReactNode`

## Methods

### condition

▸ `Optional` condition(`props`): `boolean`

#### Parameters

Name | Type
--- | ---
`props` | InputProps

#### Returns

`boolean`

### validate

▸ validate(`value`, `props?`): `boolean` | `Promise`<any>

#### Parameters

Name | Type
--- | ---
`value` | `string`
`props?` | InputProps

#### Returns

`boolean` | `Promise`<any>